Subject: Re: [PATCH] ppc44x: support for 256K PAGE_SIZE

From: Josh Boyer <[email-masked]>
Date: Thu, 18 Oct 2007 05:44:08 -0500

On Thu, 2007-10-18 at 11:08 +0400, Yuri Tikhonov wrote:
>  Hello,
> 
>  The following patch adds support for 256KB PAGE_SIZE on ppc44x-based boards. 
> The applications to be run on the kernel with 256KB PAGE_SIZE have to be 
> built using the modified version of binutils, where the MAXPAGESIZE 
> definition is set to 0x40000 (as opposite to standard 0x10000).

Sorry, this is against arch/ppc which is bug fix only.  New features
should be done against arch/powerpc.  Also, I'd rather see something
along the lines of hugetlbfs support instead.

josh